Subject: [VCARDDAV] I-D Action:draft-ietf-vcarddav-vcardrev-03.txt

From: [email-masked]
Date: Mon, 14 Jul 2008 12:15:01 -0700 (PDT)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the vCard and CardDAV Working Group of the IETF.

	Title           : vCard Format Specification
	Author(s)       : S. Perreault, P. Resnick
	Filename        : draft-ietf-vcarddav-vcardrev-03.txt
	Pages           : 65
	Date            : 2008-07-14

This document defines the vCard data format for representing and
exchanging a variety of information about an individual (e.g.,
formatted and structured name and delivery addresses, email address,
multiple telephone numbers, photograph, logo, audio clips, etc.).

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-vcarddav-vcardrev-03.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
VCARDDAV mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/vcarddav

---

From: "Darryl Champagne" <[email-masked]>
Date: Mon, 21 Jul 2008 18:58:23 -0400

I note the following issues with this draft:

Section 6 includes:
         pidparam = "uid" "=" URI  ; from Appendix A of [RFC3986]

Which I believe should match section 9:
   pid-param    = ("PID" "=" 1*DIGIT)

(Or perhaps "pid", to be consistent with the rest of the text)

Section 6.4 includes:
   ... Note that the "pid" parameter's value is
   not globally, so it is possible for duplicate values to be created.

Which should be:
   ... Note that the "pid" parameter's value is
   not globally unique, so it is possible for duplicate values to be
created.

Section 9 includes:
    ; **** N ****
    ;This type MUST be included in a vCard object.

But the requirement for it to be included was removed with draft -00

Other than that, it is looking good.

dgc

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of [email-masked]
> Sent: Monday, July 14, 2008 3:15 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [VCARDDAV] I-D Action:draft-ietf-vcarddav-vcardrev-03.txt
>

---

From: Simon Perreault <[email-masked]>
Date: Sat, 26 Jul 2008 14:01:00 -0700

> (Or perhaps "pid", to be consistent with the rest of the text)

Thanks, fixed. The whole ABNF of section 6 will be synced with section 9 
at some point.

>    not globally unique, so it is possible for duplicate values to be

Fixed.

> But the requirement for it to be included was removed with draft -00

Removed.

Thanks,
Simon